## ros-jazzy-tricycle-controller 4.8.0

=== debian/changelog ===
ros-jazzy-tricycle-controller (4.8.0-1bookworm) bookworm; urgency=high

  * Add parameter check for geometric values (#1120 <https://github.com/ros-controls/ros2_controllers/issues/1120>)
  * Deprecate non-stamped twist for tricycle_controller and steering_controllers (#1093 <https://github.com/ros-controls/ros2_controllers/issues/1093>)
  * add missing compiler definitions of RCPPUTILS_VERSION (#1089 <https://github.com/ros-controls/ros2_controllers/issues/1089>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 23:00:00 -0000

ros-jazzy-tricycle-controller (4.7.0-1bookworm) bookworm; urgency=high

  * added conditioning to have rolling tags compilable in older versions (#1071 <https://github.com/ros-controls/ros2_controllers/issues/1071>)
  * Fix usage of visibility macros (#1039 <https://github.com/ros-controls/ros2_controllers/issues/1039>)
  * Contributors: Sai Kishor Kothakota, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-jazzy-tricycle-controller (4.6.0-1bookworm) bookworm; urgency=high

  * Fix usage of M_PI on Windows (#1036 <https://github.com/ros-controls/ros2_controllers/issues/1036>)
  * Add test_depend on hardware_interface_testing (#1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>)
  * Fix tests for using new get_node_options API (#840 <https://github.com/ros-controls/ros2_controllers/issues/840>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota, Silvio Traversaro

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-jazzy-tricycle-controller (4.5.0-1bookworm) bookworm; urgency=high

  * [tricycle_controller] Use generate_parameter_library (#957 <https://github.com/ros-controls/ros2_controllers/issues/957>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-jazzy-tricycle-controller (4.4.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jan 2024 00:00:00 -0000

ros-jazzy-tricycle-controller (4.3.0-1bookworm) bookworm; urgency=high

  * Add few warning flags to error (#961 <https://github.com/ros-controls/ros2_controllers/issues/961>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 00:00:00 -0000

ros-jazzy-tricycle-controller (4.2.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-jazzy-tricycle-controller (4.1.0-1bookworm) bookworm; urgency=high

  * Increase test coverage of interface configuration getters (#856 <https://github.com/ros-controls/ros2_controllers/issues/856>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Dec 2023 00:00:00 -0000

ros-jazzy-tricycle-controller (4.0.0-1bookworm) bookworm; urgency=high

  * fix tests for API break of passing controller manager update rate in init method (#854 <https://github.com/ros-controls/ros2_controllers/issues/854>)
  * Adjust tests after passing URDF to controllers (#817 <https://github.com/ros-controls/ros2_controllers/issues/817>)
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 Nov 2023 00:00:00 -0000

ros-jazzy-tricycle-controller (3.17.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Oct 2023 00:00:00 -0000

ros-jazzy-tricycle-controller (3.16.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Sep 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.14.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.13.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.12.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.11.0-1bookworm) bookworm; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Contributors: gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.10.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Jun 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.10.0-1bookworm) bookworm; urgency=high

  * enable ReflowComments to also use ColumnLimit on comments (#625 <https://github.com/ros-controls/ros2_controllers/issues/625>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Jun 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.9.0-1bookworm) bookworm; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.8.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.7.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-jazzy-tricycle-controller (3.6.0-1bookworm) bookworm; urgency=high


