## ros-jazzy-tricycle-controller 4.15.0

=== debian/changelog ===
ros-jazzy-tricycle-controller (4.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Oct 2024 16:00:00 -0000

ros-jazzy-tricycle-controller (4.14.0-1bookworm) bookworm; urgency=high

  * rename get/set_state to get/set_lifecylce_state (#1250 <https://github.com/ros-controls/ros2_controllers/issues/1250>)
  * Contributors: Manuel Muth

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-tricycle-controller (4.13.0-1bookworm) bookworm; urgency=high

  * Fixes tests to work with use_global_arguments NodeOptions parameter  (#1256 <https://github.com/ros-controls/ros2_controllers/issues/1256>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-jazzy-tricycle-controller (4.12.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 16:00:00 -0000

ros-jazzy-tricycle-controller (4.12.0-1bookworm) bookworm; urgency=high

  * Add missing includes (#1226 <https://github.com/ros-controls/ros2_controllers/issues/1226>)
  * Unused header cleanup (#1199 <https://github.com/ros-controls/ros2_controllers/issues/1199>)
  * Fix WaitSet issue in tests  (#1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>)
  * Fix parallel gripper controller CI (#1202 <https://github.com/ros-controls/ros2_controllers/issues/1202>)
  * Contributors: Christoph Fröhlich, Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000

ros-jazzy-tricycle-controller (4.11.0-1bookworm) bookworm; urgency=high

  * added changes corresponding to the logger and clock propagation in ResourceManager (#1184 <https://github.com/ros-controls/ros2_controllers/issues/1184>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-jazzy-tricycle-controller (4.10.0-1bookworm) bookworm; urgency=high

  * Remove unstamped twist subscribers + parameters (#1151 <https://github.com/ros-controls/ros2_controllers/issues/1151>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-jazzy-tricycle-controller (4.9.0-1bookworm) bookworm; urgency=high

  * Add mobile robot kinematics 101 and improve steering library docs (#954 <https://github.com/ros-controls/ros2_controllers/issues/954>)
  * Bump version of pre-commit hooks (#1157 <https://github.com/ros-controls/ros2_controllers/issues/1157>)
  * Contributors: Christoph Fröhlich, github-actions[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Jun 2024 16:00:00 -0000
